unit PantallaInformesContabilidad;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RdxFrame, StdCtrls, RdxBotones, ExtCtrls, RdxPaneles, RdxBarras,
  Entidades,

  RdxEmpresaActiva; 

type
  TfrInformesContabilidad = class(TRdxFrame)
    BarraInformes: TRdxBarraSuperior;
    pnlCuerpo: TPanel;
    RdxPanel1: TRdxPanel;
    Panel1: TPanel;
    Image1: TImage;
    Panel2: TPanel;
    Panel3: TPanel;
    bSeleccionar: TRdxBoton;
    Panel4: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Panel6: TPanel;
    Panel5: TPanel;
    Panel7: TPanel;
    Image2: TImage;
    Panel8: TPanel;
    Panel9: TPanel;
    RdxBoton1: TRdxBoton;
    Panel10: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    Panel11: TPanel;
    Panel12: TPanel;
    Image3: TImage;
    Panel13: TPanel;
    Panel14: TPanel;
    RdxBoton2: TRdxBoton;
    Panel15: TPanel;
    Label5: TLabel;
    Label6: TLabel;
    Panel16: TPanel;
    Panel17: TPanel;
    Image4: TImage;
    Panel18: TPanel;
    Panel19: TPanel;
    RdxBoton3: TRdxBoton;
    Panel20: TPanel;
    Label7: TLabel;
    Label8: TLabel;
    Panel21: TPanel;
    Panel22: TPanel;
    Image5: TImage;
    Panel23: TPanel;
    Panel24: TPanel;
    RdxBoton5: TRdxBoton;
    Panel25: TPanel;
    Label9: TLabel;
    Label10: TLabel;
    Panel26: TPanel;
    imgSombra: TImage;
    procedure RdxBoton1Click(Sender: TObject);
    procedure RdxBoton3Click(Sender: TObject);
    procedure bSeleccionarClick(Sender: TObject);
    procedure RdxBoton2Click(Sender: TObject);
    procedure RdxBoton4Click(Sender: TObject);
  protected
    function CambiarEntidad(EntidadAnterior, Entidad : TRdxEntidad): Boolean; override;
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frInformesContabilidad: TfrInformesContabilidad;

implementation

{$R *.dfm}

uses
  Configuracion, InformeTrimestral, ImprimirLibro, ImprimirBeneficiosAnuales,
  ImprimirBeneficiosAnualesContratos, TablaFacturasCliente, TablaContratos,
  Literales, Mensajes;


procedure TfrInformesContabilidad.RdxBoton1Click(Sender: TObject);
begin
  Contenido := TfrImprimirLibro.Create(Self);
  (Contenido as TfrImprimirLibro).TipoLibro := EmpresaActiva.LibroDefecto;
  Contenido.Entidad := entInformes;  
  Contenido.Modo := Imprimir;
end;

procedure TfrInformesContabilidad.RdxBoton3Click(Sender: TObject);
begin
  Contenido := TfrInformeTrimestral.Create(Self);
  Contenido.Entidad := entInformeTrimestralCompras;
  Contenido.Modo := Consultar;
end;

procedure TfrInformesContabilidad.bSeleccionarClick(Sender: TObject);
begin
  Contenido := TfrInformeTrimestral.Create(Self);
  Contenido.Entidad := entInformeTrimestralVentas;
  Contenido.Modo := Consultar;
end;

procedure TfrInformesContabilidad.RdxBoton2Click(Sender: TObject);
begin
  if dmTablaFacturasCliente.ExistenFacturas then
  begin
    Contenido := TfrImprimirBeneficiosAnuales.Create(Self);
    Contenido.Modo := Consultar;
  end
  else
    VerMensaje(msgCliListBeneNoFac);
end;

procedure TfrInformesContabilidad.RdxBoton4Click(Sender: TObject);
begin
  if dmTablaContratos.ExistenContratos then
  begin
    Contenido := TfrImprimirBeneficiosAnualesContratos.Create(Self);
    Contenido.Modo := Consultar;
  end
  else
    VerMensaje(msgCliListBeneNoCon);
end;

constructor TfrInformesContabilidad.Create(AOwner: TComponent);
begin
  inherited;
  Entidad := entInformes;
end;

function TfrInformesContabilidad.CambiarEntidad(EntidadAnterior, Entidad: TRdxEntidad): Boolean;
begin
  inherited CambiarEntidad(EntidadAnterior, Entidad);
  ConfigurarFrame(Self, Self.Entidad);
end;

end.
